curl --request POST \
--url https://api.siftstack.com/api/v1/protobuf-descriptors:add \
--header 'Authorization: Bearer <token>'{
"protobufDescriptor": {
"messageTypeFullName": "<string>",
"fileDescriptorSet": "aSDinaTvuI8gbWludGxpZnk=",
"protoFileName": "<string>",
"namespace": "<string>",
"protobufDescriptorId": "<string>"
}
}Used to register a protobuf message to be ingested.
curl --request POST \
--url https://api.siftstack.com/api/v1/protobuf-descriptors:add \
--header 'Authorization: Bearer <token>'{
"protobufDescriptor": {
"messageTypeFullName": "<string>",
"fileDescriptorSet": "aSDinaTvuI8gbWludGxpZnk=",
"protoFileName": "<string>",
"namespace": "<string>",
"protobufDescriptorId": "<string>"
}
}Documentation Index
Fetch the complete documentation index at: https://docs.siftstack.com/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
organization_id is deprecated
If set to true, the service will ignore checks that this descriptor has already been registered and will ensure that it is registered as the latest proto descriptor for the message type.
A successful response.
Show child attributes
Was this page helpful?